import { type Base, genBase } from "./_base"

export interface McuSrc extends Base {
  code: string
  name: string
  mcuSrcCategory_code: string
  item_id: number
}

export function genMcuSrc(): McuSrc {
  return {
    ...genBase(),
    code: '',
    name: '',
    mcuSrcCategory_code: '',
    item_id: 0
  }
}
